require "dotenv"
Dotenv.load

require "prawn"
require "prawn/measurement_extensions"

require "paperize/version"
require "paperize/spreadsheet"
require "paperize/worksheet"
require "paperize/template"
require "paperize/layout"
require "paperize/exceptions"

module Paperize
  class << self
    attr_accessor :source

    def render!(filename, items_and_layouts)
      document = Prawn::Document.new(
        skip_page_creation: true,
        page_size: 'LETTER',
        page_layout: :portrait
      )

      items_and_layouts.each do |item_and_layout|
        layout = item_and_layout[:layout]
        layout.document = document
        layout.layout_cards item_and_layout[:items]
      end

      document.render_file(filename)
    end
  end
end
