module Paperize
  class Spreadsheet
    attr_reader :spreadsheet
    def initialize(spreadsheet)
      @spreadsheet = spreadsheet
    end

    def worksheets
      spreadsheet.worksheets.map do |google_worksheet|
        Worksheet.from_google_worksheet(google_worksheet)
      end
    end

    def worksheet_by_title(title)
      worksheets.find do |worksheet|
        worksheet.title == title
      end
    end

    def parse_worksheet(worksheet_name, options={})
      self.worksheet_by_title(worksheet_name).rows
    end

    class << self
      def find(key)
        google_spreadsheet = Paperize.source.spreadsheet_by_key(key)
        Paperize::Spreadsheet.new(google_spreadsheet)
      end
    end
  end
end
